Description

It appears that the metacat spatial query (metacat?action=spatial_query) does not return correct results. Based on a few test cases,
it appears that only spatial queries which intersect the north-west corner of the geographic coverage return a correct result. This
indicates a rather serious error in the spatial intersection logic.

History

#1 - 07/31/2006 12:56 PM - Matthew Perry
Test cases can be found at http://pmark.msi.ucsb.edu/spatial_query bug.pdf

#2 - 07/31/2006 02:53 PM - Matthew Perry
Fixed:
1) handleSpatialQuery called createSpatialquery w/ parameters in the wrong order
2) createSpatialQuery's logic was wrong; changed to match the logic specified in AdvancedSearch. java:
/*
* Else, if the user does not select the boundaryContained checkbox, use the

following logical expression. N, S, E, and W are the boundaries of the

given EML document:

*
* bounding box, while N', S', E', and W' are the boundaries specified in a
*
%7 (N' > S) && (S' < N) && (E' > W) && (W' < E)

*/

#3 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2503
